import 'package:flutter/material.dart';
import 'package:ref/ref.dart';
import 'package:ref_example/model/tour.dart';
import 'package:ref_example/model/user.dart';
import '../main.dart';
import 'tour_list.dart';

// 已登陆
class HasLogin extends StatelessWidget {
  const HasLogin({
    Key? key,
    required this.userInfo,
    required this.tourInfo,
  }) : super(key: key);

  final Ref<UserModel> userInfo;
  final Ref<TourModel> tourInfo;

  @override
  Widget build(BuildContext context) {
    return RefBuilder(
      () => Column(
        children: [
          SizedBox(height: 20),
          Text(
            '用户${userInfo.value.userName}已经登陆',
            style: TextStyle(fontSize: 22),
          ),
          SizedBox(height: 20),
          Text('亲爱的${userInfo.value.nickName}，欢迎登陆本系统'),
          SizedBox(height: 20),
          if (tourInfo.value.title != '')
            Column(
              children: [
                Text(
                  '您选择了：' + tourInfo.value.title,
                  style: TextStyle(fontSize: 18, color: Colors.red),
                ),
                Text(
                  tourInfo.value.desc,
                  style: TextStyle(fontSize: 14, color: Colors.black38),
                ),
                SizedBox(height: 20),
              ],
            ),
          TourList(),
          SizedBox(height: 20),
          ElevatedButton(
            onPressed: () {
              rootStore.users.loginOut();
            },
            child: Text('退出登陆'),
          ),
        ],
      ),
    );
  }
}
