import 'package:flutter/material.dart';
import 'package:ref/ref.dart';
import 'package:ref_example/model/tour.dart';
import '../main.dart';

// 旅游套餐列表
class TourList extends StatefulWidget {
  TourList({Key? key}) : super(key: key);

  @override
  _TourListState createState() => _TourListState();
}

class _TourListState extends State<TourList> {
  Ref<List<TourModel>> tempList = rootStore.tour.tourList;

  @override
  void initState() {
    super.initState();
    if (tempList.value.length == 0) {
      rootStore.tour.requestList();
    }
  }

  @override
  Widget build(BuildContext context) {
    return RefBuilder(() {
      if (tempList.value.length == 0) {
        return Center(
          child: Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Icon(Icons.rotate_right),
              Text('loading...'),
              Text('2s后刷新！'),
            ],
          ),
        );
      } else {
        return Column(
          children: tempList.value.map((e) {
            return Card(
              child: GestureDetector(
                onTap: () {
                  // 选择游玩信息
                  rootStore.users.choiceTour(e);
                },
                child: ListTile(
                  leading: FlutterLogo(size: 50.0),
                  title: Text(e.title + '  ¥' + e.price.toString()),
                  subtitle: Text(e.desc),
                  trailing: Icon(Icons.more_vert),
                  isThreeLine: true,
                ),
              ),
            );
          }).toList(),
        );
      }
    });
  }
}
